Concrete Takeoff Manager Open Takeoff

Utilities

Many of the Utility selections will be disabled if a Takeoff is open.

Last Updated: 12/27/99


Concrete Takeoff Manager Introduction

File Index/Pack

This utility will rebuild Index files should they become damaged by a power outage or other anamaly. It can also "Pack" files - remove items tagged to be deleted. Takeoffs must be closed for this option to be enabled.

When this utility is selected the following warning will be displayed:

After complying with the warning, the next screen will be shown:

You can select one, several or all files, and you have the option to pack the files. When files are selected. the Reindex button will be enabled. Click the Reindex button to start the process. A thermometer progress bar will show progress of the reindex.


File Repair

This utility will repair Data files should they become damaged by a power outage or other anamaly. Takeoffs must be closed for this option to be enabled.

When this utility is selected the following warning will be displayed:

After complying with the warning, the next screen will be shown:

You can select one, several or all files. When files are selected. the Repair button will be enabled. Click the Repair button to start the process. A thermometer progress bar will show progress of the repair.


Update Database

This utility is used to insert programming changes into the database. It should only be run following instructions fro JCH Diversified. Takeoffs must be closed for this option to be enabled.

When this utility is selected the following warning will be displayed:

After complying with the warning, the update will begin. A thermometer progress bar will show progress of the update.


Backup Data Files

This utility is used to backup data files to a different location. When this utility is selected the following screen will be displayed:

After selecting the preferred drive and directory for the backup, click Select and the backup will begin.


Restore From Data Backup

This utility will restore a previous data file backup. Takeoffs must be closed for this option to be enabled.

When this utility is selected the following warning will be displayed:

After complying with the warning, the next screen will be shown:

Navigate to the desired drive and directory of the data backup, and click Select to begin the data restore. After files are restored, they will be reindexed (with a thermometer progress bar, and then Concrete Takeoff Manager will shut down.


Change/Set Data Directory

This utility is used to tell Concrete takeoff Manager the exact location of its data files. When this utility is selected the following screen will be displayed:

After selecting the preferred drive and directory for the backup, click Select and the program will store the information, and use the data files specified.


Printer Setup

This utility is used to change printer setup for reports. When this utility is selected the following Windows screen will be displayed: (note that the Windows NT and Windows 2000 screens are slightly different)

After the prefered printer is selected, it will be remembered.


Concrete Takeoff Manager Open Takeoff

Takeoff

When the Takeoff Menu is displayed, if a Takeoff is open, the Open Takeoff, New Takeoff and Delete Takeoff selections will be disabled, and if a Takeoff is not open, the Close Takeoff selection will be disabled. Similar effects will be seen in the Toolbar.


Concrete Takeoff Manager Open Takeoff

New Takeoff, Edit Takeoff Information, Delete Takeoff

When Edit Takeoff Information, New Takeoff or Delete Takeoff is selected, the following screen is shown:

When creating a New Takeoff, existing information will be copied from the previous Takeoff so that default concrete grades, costs and crews will only need changing as necessary.

Number: To Edit or Delete a Takeoff, enter the number or select it from the dropdown list. For a New Takeoff, a number will be assigned (last Takeoff Number plus 1), but it can be changed.

Job Name: Enter the name for this Takeoff.

Bid Date: Enter the date the Takoff Bids

Takoff By: Enter your name

Sales Tax %: Enter the sales tax percent for this Takeoff

Waste %: Enter the percentage of Concrete Waste for your estimate.

Taxes, Insurance, Fringes: Enter the percentage to be added to labor costs in the Takeoff Subtotal.

English/Metric: Select whether English or Metric measurements are to be used.

Concrete Grades and Costs: Set up the Concrete Grade definitions and costs for this Takeoff.

Sub Total Definitions: THe titles of the Sub Totals are defined here.

Selecting Default Crews and Grades changes the screen:

The default Pouring Crew, Forming Crew and Concrete Grade can be selected for each type of item. A different crew or crade can be chosen for individual items in the takeoff.

For a New Takeoff, the following screen allows you to import previous data regarding Miscellaneous Costs and Add-on Costs.


Concrete Takeoff Manager Open Takeoff

Open Takeoff, Close Takeoff

When Concrete Takeoff Manager first loads, or when Open Takeoff is selected from the Takeoff Menu, the following screen is displayed.

A Takeoff may be selected by Double-Clicking the name or number, highlighting the name or number and pressing Enter, or by clicking the Open Highlighted Takeoff button. When the takeoff is opened, its name will be shown in place of Concrete Takeoff Manager on the desktop. The Items List will then be shown.

Other selections from this screen include Edit Takeoff, and New Takeoff which go to the Takeoff information and defaults selection screens, and Close Screen (Which enables many of the previously disabled selectins n the Takeoff Menu.

Closing a Takeoff: Selecting Close Takeoff from the Takeoff Menu Tab will close the Takeoff, and replace the takeoff name with Concrete Takeoff Manager on the desktop.


Concrete Takeoff Manager Open Takeoff

Items

When the takeoff is opened, or Items is selected from the Takeoff Menu, the following screen is displayed:

This display may be chaged by clicking the Show Columns button. The following will be displayed:

Each items which is selected will be displated in the Items listing. To remove a column, click on the checkbox to remove the check mark.

Click the Quick Preview button for a quick report showing each item with the following information:

  • Description
  • Item
  • Quantity
  • Length
  • Depth
  • Width
  • S.F of Concrete
  • C.Y. of Concrete
  • Concrete Grade

Items can be added with the Add Item button. the following screen appears:

Select an item to add a new item.

Existing items may be edited by double clicking them, or by selecting them then clicking the Edit Item button. Items to be deleted should be highlighted, then the Delete Item button clicked.

Clicking the Close Screen button will close the Items screen, allowing other selections on the Takeoff Menu to be enabled

See Also

Beam

Column

Curb

Footing

Forming

Pier

Pilaster

Slab

Wall

Last Updated: 12/27/99


Beams

Beams - Form One Side

Beams - Form Two Sides

Beams - Form Three Sides

Beams - No Form

Last Updated: 12/27/99


Beams - Form One Side

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in inches (centimeters)

Depth : Plan depth in inches (centimeters)

Champfer: Select champfer option.

    Champfer Width: If visible, enter plan width in inches (centimeters)

    Champfer Height: If visible, enter plan height in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Form Depth : Form Depth in inches (centimeters)

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Beams - Form Three Sides

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in inches (centimeters)

Depth : Plan depth in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Beams - Form Two Sides

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in inches (centimeters)

Depth : Plan depth in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Form Depth : Form Depth in inches (centimeters)

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Beams - No Form

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in inches (centimeters)

Depth : Plan depth in inches (centimeters)

Champfer: Select champfer option.

    Champfer Width: If visible, enter plan width in inches (centimeters)

    Champfer Height: If visible, enter plan height in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.


Columns

Columns - Round

Columns - Special

Columns - Rectangular

Last Updated: 12/27/99


Column - Round

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Diameter in Inches : Plan diameter in Inches (centimeters)

Height : Plan height in feet (meters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Material Cost per V.F.: Cost of forming materials per Verticle Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per V.F. Not Reused: Cost of forming materials not reused per Verticle Foot (Meter).

Crew Hours per Columns: Time to form one column by forming crew.

Forming Crew: Select from the dropdown list.


Column - Special

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Section - S.F. : Plan cross section i n Quare Feet (meters)

Height : Plan height in feet (meters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Perimeter S.F.: Perimeter of column in Square Feet per Verticle Foot (Square Meter per Verticle Meter)

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Feet (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Column - Rectangular

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Height : Plan height in feet (meters)

Width : Plan width in inches (centimeters)

Depth : Plan depth in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Feet (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Concrete Takeoff Manager

Curbs

Curb

Curb & Gutter

Last Updated: 12/27/99


Beams - Form One Side

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length: Plan length in feet (meters)

Curb Width: Plan width in inches (centimeters)

Overall Height: Plan heigh in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Form Type: Select No Form, form one side, form two sides.

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Curb & Gutter

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length: Plan length in feet (meters)

Curb Width: Plan width in inches (centimeters)

Overall Height: Plan heigh in inches (centimeters)

Overall Width: Plan width in inches (centimeters)

Gutter Height: Plan heigh in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Form Type: Select No Form, form curb side, form two sides.

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Forming Only

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Form Depth : Form Depth in inches (centimeters)

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Concrete Takeoff Manager

Footings

Footing - Formed

Footing - No Form

Last Updated: 12/27/99


Footing - Formed

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in feet (meters)

Depth : Plan depth in inches (centimeters)

Beam Factor: Factor of .75 or .50 or .25 based on footing to be poured.

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Form Depth : Form Depth in inches (centimeters)

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Footing - No Form

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in feet (meters)

Depth : Plan depth in inches (centimeters)

Beam Factor: Factor of .75 or .50 or .25 based on footing to be poured.

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.


Piers

Pier - Straight

Pier with Bell

Last Updated: 12/27/99


Pier - Straight

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Depth : Plan depth in Feet (meters).

Diameter: Plan diameter in inches (centimeters).

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Extra Waste (%): Percentage of waste in addition to Takeoff waste.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.


Pier with Bell

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Depth : Plan depth in Feet (meters).

Diameter: Plan diameter in inches (centimeters).

Bell Height: Plan bell height in inches (centimeters)

Bell Diameter: Plan bell diameter in inches (centimeters).

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Extra Waste (%): Percentage of waste in addition to Takeoff waste.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.


Pilaster

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Height : Plan height in feet (meters)

Width : Plan width in inches (centimeters)

Depth : Plan depth in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Slabs

Slab - Blockouts

Slab - Suspended

Slab - Formed

Slab - No Form

Slab - Irregular

Last Updated: 12/27/99


Slab - Blockouts

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

Blockout Type: Select type of blockout from the four options.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in feet (meters)

Depth : Plan depth in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Form Surface Area: Click to check the select if surface area is formed.

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Slab - Suspended

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

Use CF per SF: Use Cubic Feet per Square Feet (Cubic Meter per Square Meter formula bupplied by forms supplier.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in feet (meters)

    Depth : Plan depth in inches (centimeters)

      or

    CF per SF (CM per SM): Cubic Feet per Square Feet (Cubic Meter per Square Meter formula bupplied by forms supplier.

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Form Surface Area: Click to check the select if surface area is formed.

    If CF per SF:

    Perimeter form depth: Form depth of perimeter forms in inches (centimeters)

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Slab - Formed

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in feet (meters)

Depth : Plan depth in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Form Surface Area: Click to check the select if surface area is formed.

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Slab - No Form

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Width : Plan width in feet (meters)

Depth : Plan depth in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.


Slab - Irregular

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Area : Plan slab area in square feet (meters)

Depth : Plan depth in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Form Surface Area: Click to check the select if surface area is formed.

S.F. of Forms (S.M. of Forms): Measurment of forms to form slab - in square feet (meters)

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Walls

Wall

Wall - Tapered

Last Updated: 12/27/99


Wall

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Height : Plan width in feet (meters)

Width : Plan width in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Wall

The following screen will be displayed:

Description: Enter the description from your plans.

Section: Select the section for this item (It may be left blank). You may click on the Add New Section button to add a new section.

No. of Pieces: Quantity per the plans.

Length : Plan length in feet (meters)

Height : Plan width in feet (meters)

Width Top: Plan top width in inches (centimeters)

Width Bottom: Plan bottom width in inches (centimeters)

Concrete Grade: Select from the dropdown list.

Pouring Crew: Select from the dropdown list.

C.Y. per Hour (C.M. per Hour): Enter the amount of concrete pouring crew should pour per hour.

Hand Excavation: Click to enter a check in the checkbox if it is hand excavated.

    Forming Information

Material Cost per S.F.: Cost of forming materials per Square Foot (Meter).

Number of Uses: Number of uses for forming material above

$ per S.F. Not Reused: Cost of forming materials not reused per Square Foot (Meter).

S.F. Formed per Hour (S.M. Formed per Hour): Amount of forming per hour by forming crew.

Forming Crew: Select from the dropdown list.


Sections

Whether accessed from the Takeoff Menu or from any of the Item screens, the Sections selection will display the following:

New Section

Upon selecting the New Section button, the following screen is presented:

Existing Sections are displayed. The new section name is entered, and buttons allow the user to Save & Exit, Save & More or Cancel the operation.

Edit Section

Upon selecting the Edit Section button, the following screen is presented:

Existing Sections are displayed. The section to change is selected, changes entered, and buttons allow the user to Save & Exit or Cancel the operation.

Delete Section

Upon selecting the Delete Section button, the following screen is presented:

Existing Sections are displayed. The section to delete is selected, and buttons allow the user to Delete or Cancel the operation.


Display Order

These routines allow the user to put the Sections in whatever order is desired, and Items within each Section in whatever order is desired.

See Also

Items Order

Sections Order

Last Updated: 12/27/99


Item Display Order

This routin allows the user to put the Sections in whatever order is desired. The follow screen is presented:

Items with no section will be displayed. Click to Select Section and sections will be seen:

Use the dropdown list to change sections. To change the order of the items, drag the cursor to the left of the Description up or down to the location you desire.

See Also

Sections Order

Last Updated: 12/27/99


Section Display Order

This routin allows the user to put the Sections in whatever order is desired. The follow screen is presented:

To change the order of the sections, drag the cursor to the left of the Section name up or down to the location you desire.

See Also

Items Order

Last Updated: 12/27/99


Concrete Miscellaneous Costs

The following screen will be displayed:

When costs are Added or Edited the following screen appears:


Tiltwall Miscellaneous Costs

The following screen will be displayed:

When costs are Added or Edited the following screen appears:


Add-on Costs

The following screen will be displayed:

When costs are Added or Edited the following screen appears:

Note that the Sub Total descriptions are set up in NewTakeoff or Edit Takeoff Description.


Crews - New, Edit, Delete

The following screen will be displayed:

Supervisor, Carpenter, Finisher and Laborer and their Type of Labor are pre-defined. Other elements of the crew may be added, with type of Labor, Equip or Rent.


Reports

Reports can be designed using the Report Wizard. Also, several pre-defined reports are available in the Report Wizard in Master File and takeoff Report categories, and 2 reports are listed separately.

All reports may be previewed to the screen or be printed.

Note that a Takeoff must be opened to prepare any reports.

Report Wizard

Master Files

Takeoff Reports

Takeoff Summary

Total Grades and Crews

Last Updated: 12/27/99


Master Files (Reports)

Contained within the Report Wizard list of reports, these reports provide listings on non-takeoff specific information.

Crew Details

Crew List

Takeoff List

Last Updated: 12/27/99


Crew Details - Report Wizard

Last Updated: 12/27/99


Crew List - Report Wizard

Last Updated: 12/27/99


Takeoff List - Report Wizard

Last Updated: 12/27/99


Takeoff Reports

Contained within the Report Wizard list of reports, these reports provide listings on takeoff specific information.

Add-on Costs

Concrete Miscellaneous Costs

Takeoff Information

Tiltwall Miscellaneous Costs

Last Updated: 12/27/99


Add-on List - Report Wizard

Last Updated: 12/27/99


Concrete Miscellaneous Costs - Report Wizard


Takeoff Information - Report Wizard

Last Updated: 12/27/99


Tiltwall Miscellaneous Costs - Report Wizard


Takeoff Summary

The level of detail is selectable:

Detail pages look like this:

After the itesms are listed, sub-totals are listed:

Next, the defined subtotals and add-on costs are listed.


Total Grades and Crews

Last Updated: 12/27/99


Register Concrete Takeoff Manager

This utility is used to Register Concrete Takeoff Manager. When registered, an unlimited number of Takeoffs can be added, and the program will operate with full functionality.

To register, you will need to obtain a data key to unlock the program. Contact JCH Diversified at Register@jchdiversified.com. Followng receipt of payment, you will be sent the unlock code. From the Help menu tab select Register Concrete Takeoff Manager.

The following screen will be displayed:

After entering the information supplied, the program will be registered. The registered name will appear at the top of all screens, and the Register menu option will no longer appear.


Adding a Condition

To add a new condition to the filter, select the Add button. You can also press the Insert key or choose Add Condition from the shortcut menu. If you do not have any conditions in your filter yet, the Filter Condition dialog shown below will appear.

If you already have at least one condition in your filter, the Filter Condition dialog appears a little differently, as shown below.

The Connection combo box, which does not appear if this is the first condition for your filter, is used to define how this condition is connected to the previous condition in your filter. The default connection is and, but you can also choose or or one of various combinations of and or or with parentheses to allow you to group your conditions and specify the order the conditions are evaluated. The system will automatically balance parentheses, so there is no need to worry about a starting or ending parenthesis.

The Field combo box shows all fields you can filter on from each table (the table name is shown as a disabled bar above its fields).

After selecting a field, you select a comparison operator from the Operator combo box. The options that appear in this combo box will depend on the type of field selected. For example, for logical fields, the only choices that appear are is Yes and is No.

Once you have selected an operator, you may enter a value to compare to the field. You will not be allowed to enter a value if you choose the is blank, is not blank, is known, is not known, is Yes, or is No operators. If you chose the is between operator, you must enter two values. If you chose the is one of operator, you can enter up to ten different values.

If you are not sure what values appear in the field or want to select a value without having to type it, choose the Value button (this button only appears for character fields). A list of unique values from the field will appear in a dialog box. You can choose a single value or multiple values; to select more than one value, hold down the Shift key as you click on the desired values. If you choose more than one value, the operator will automatically be changed to is one of.

If you have selected a character or memo field, the Case Sensitive checkbox may be enabled. If Case Sensitive is checked, only those records with the value in the same case (that is, upper and lower case characters) as you typed it will match. If it is not checked, case does not matter; for example, entering 'Jones' would match 'Jones', 'JONES', 'JoNeS', or any other combination of case.

After you have completed entering the condition, press the OK button to save the condition and add it to the list. Choose Cancel to cancel the new condition. Note: if you do not enter a value to compare to the field, the operator will automatically be changed to is blank.

Last Updated: 08/17/99


Clearing the Filter

The Clear button deletes all conditions in the filter. You can also choose Clear Filter from the shortcut menu.

Last Updated: 08/17/99


Copying a Report

You may find a need for a report that is similar to an existing report. The Copy function in the first step of the Report Wizard allows you to copy an existing report; you may then edit the copy to create the desired report.

When you select the Copy button, the Copy Report dialog shown below appears, allowing you to enter the name for the copy of the report and the group it should be placed in. You are not allowed to use the same report name as an existing report. After entering this information and selecting OK, the copy of the report will appear in the list in the Report Wizard.

Note: this button may not be enabled for all reports.

Last Updated: 08/17/99


Counting Matching Records

The Count button displays the number of records matching your filter. You can also right-click and choose Count Records from the shortcut menu.

Last Updated: 08/17/99


Creating a Filter

A filter is made up of one or more conditions. A single condition compares a field to a value. For example, 'Order Amount is greater than $100.00' is a condition that only allows those records with an order amount of more than $100.00 to be part of the subset.

How a field is compared to the value is called the operator. There are several operators available; they are shown in the table below. Some operators use more than one value; for example, is between requires two values (as in 'Order Date is between 01/10/96 and 12/31/96'). Other operators do not use any value; for example, 'Zip code is blank' is either true or not without needing a value.

Operator | Description
equals | The data stored in the field must exactly match the value you specify. Example: LAST NAME equals JOHNS The resulting sub-set will be records that only have 'Johns' as the last name. Records with 'Johnston', 'Johnson', and 'Johnstone' will not be included.
does not equal | The data stored in the field may be anything but the value you specify. Example: CITY does not equal CALGARY
begins with | The data in the field will start with the value specified. Example: LAST NAME begins with JOHNS The resulting sub-set will be records that have 'Johns', 'Johnston', 'Johnson', and 'Johnstone' as the last name. This operator only appears for character and memo fields.
contains | The field has the specified value anywhere in the data it contains. Example: OUTLINE contains Federal Gov You will get all records with 'Federal Gov' somewhere in the Outline field. This operator only appears for character and memo fields.
does not contain | The field does not have the specified value anywhere in the data it contains. Example: OUTLINE does not contain Federal Gov This operator only appears for character and memo fields.
is blank | Includes all records where the specific field is empty. Example: ZIPCODE is blank
is not blank | Includes records where the specific field contains data. Example: ZIPCODE is not blank
is known | Includes records where the specific field has any value. Example: ZIPCODE is known
is not known | Includes records where the specific field has an unknown value, sometimes known as 'null'. Example: ZIPCODE is not known
is greater than | The field contains a value in excess of the specified value. Example: AMOUNT is greater than 100 Example: CITY is greater than M
is greater than or equal | The field contains a value in excess of or equal to the specified value. Example: AMOUNT is greater than or equal to 100 Example: CITY is greater than or equal to M
is less than | The field contains a value under the specified value. Example: AMOUNT is less than 100 Example: CITY is less than M
is less than or equal | The field contains a value under or equal to the specified value. Example: AMOUNT less than or equal to 100 Example: CITY is less than or equal to M
is Yes | The field contains 'Yes'. Example: MARRIED is Yes This operator only appears for logical fields.
is No | The field contains 'No'. Example: MARRIED is No This operator only appears for logical fields.
is between | This operator allows the entry of a range of values. Example: AMOUNT is between 150 and 250 Example: DATE STARTED is between 05/01/94 and 12/31/94
is one of | This operator allows for entry of up to ten different values for a single field. The equivalent expression would be created using ten separate 'equals' operations. Example: CITY is one of TOKYO, CALGARY, NEW YORK

Conditions are connected together with a connector. The connector can be either and or or. The and connector means that the two conditions it connects must both be true for a record to be included in the subset, while the or connector means that either one or both can be true for a record to be included in the subset.

You can think of and as 'more restrictive'. For example, if the first condition is 'City equals San Francisco', that gives a certain subset of records. Adding a second condition such as 'Order Amount is greater than 100.00' using the and connector means that for any given record, the city must be San Francisco and the order amount must be greater than $100.00. Since that excludes San Francisco records with an order amount of less than $100.00 (which just specifying the first condition would include), these two conditions together are more restrictive (there are fewer records in the subset) than either of these conditions alone.

You can think of or as 'less restrictive'. For example, if the first condition is 'City equals San Francisco' and you add a second condition such as 'City equals Los Angeles' using the or connector, this means that for any given record, the city can either be San Francisco or Los Angeles. These two conditions together are less restrictive than either of these conditions alone, since the subset includes the records matching both conditions.

Notice the use of 'and' and 'or' with filters can be the opposite of how these words are used in English. For example, someone might say 'print out all of our customers from San Francisco and Los Angeles'. You might think you would use the and connector in this case, but in fact you would use the or connector since you want records where the city is either San Francisco or Los Angeles. The way to think of it is this: for each record, check each condition. It is not possible, for example, for the city for any one record to be both San Francisco and Los Angeles at the same time. It could be either one, however, so or is the correct connector to use.

Last Updated: 08/18/99


Creating a Report

To create a new report, choose New in step 1 of the Report Wizard. The New Report Wizard shown below will appear.

Last Updated: 08/17/99


Deleting a Condition

To delete a condition, select it in the list and choose the Delete button. You can also press the Delete key or choose Delete Condition from the shortcut menu. The list will be adjusted as necessary.

Last Updated: 08/17/99


Deleting a Report

To delete the selected report, choose the Delete button in the first step of the Report Wizard. You will be asked to confirm that the report should be deleted. If you confirm its deletion, the report is removed from the report list in the Report Wizard.

Note: this button may not be enabled for all reports.

Last Updated: 08/17/99


Editing a Condition

To edit a condition, select it in the list and choose the Edit button, or press Enter or double-click on the condition. You can also choose Edit Condition from the shortcut menu. The Filter Condition dialog will appear, and you may change any of the items that make up the condition. Click on the OK button to save any changes you made to the condition or Cancel to cancel any changes.

Last Updated: 08/17/99


Editing a Report

The Edit function in the first step of the Report Wizard allows you to edit the selected report. The same wizard described above for creating a new report is used to edit the report, except the title for the wizard is Edit Report Wizard rather than New Report Wizard. You can edit and save the report following the same procedures describing for adding the report.

Note: this button may not be enabled for all reports.

Last Updated: 08/17/99


Concrete Takeoff Manager

Concrete Takeoff Manager was written for the General Contractor, Concrete Contractor, or any other contractor, involved in bidding jobs involving concrete work.

The steps in building a takeoff follow:

  1. Define Crews to be used
  2. Create New Takeoff, with Concrete Grades and Prices, Default Crews and Grades.
  3. Add Items for each concrete Item.
  4. Organize by Sections if necessary
  5. Define Concrete Miscellaneous Costs and/or Tiltwall Miscellaneous Costs.
  6. Define Add-on Costs and Profits.


Previewing a Report

To preview a report to the screen, select the Preview button. You can select this button any time after you have chosen a report in step 1. The report will appear in a preview window, which can be moved or sized as desired. You can also scroll in this window to see other parts of the report.

The Print Preview toolbar provides the following functions:

  • First page: displays the first page of the report; this button is disabled when the first page is displayed.

  • Previous page: displays the previous page of the report; this button is disabled when the first page is displayed.

  • Go to page: displays a dialog in which you can enter the page number to display.

  • Next page: displays the next page of the report; this button is disabled when the last page is displayed.

  • Last page: displays the last page of the report; this button is disabled when the last page is displayed.

  • Zoom: this combo box allows you to zoom out (fits an entire page of the report into the preview window) or scale the report to different sizes, from 10% to 100%. You can also switch between zoom and normal view by clicking in the preview window; click again to switch back.

  • Close: close the preview window. You can also click on the Close box for the preview window.

  • Print: prints the report on the selected printer.

Last Updated: 08/17/99


Previewing the New Report

You can preview your report any time after you have selected at least one field in the report. This is handy, since you can change something in the report, preview it to see how it will look, change it, preview again, and so on.

Last Updated: 08/17/99


Printing a Report

To print the selected report to the selected output destination, select Print (this button will appear as Process if you have chosen to output to a file). You can select this button any time after you have chosen a report in step 1. The Report Wizard will display the following messages:
  • Please wait: this message is displayed as the report layout is being finalized.

  • Selecting records: this message is displayed while the records to appear in the report are selected from the total set of records.

  • Selecting records: <n> records selected: this message is displayed for a few seconds after the records have been selected, indicating the number of records that were selected. If no records were found that match the specified filter, a message to that effect is displayed and the report is not printed.
If you run the same report again, you will not see these messages and the report will print almost immediately, since the Report Wizard will use the same report layout and record selection again.

Last Updated: 08/17/99


Rearranging Conditions

A button with up and down arrows appears at the left edge of each condition in the list. You can click on this button and drag the selected condition up or down in the list. This is only necessary if you use parentheses to group conditions and wish to rearrange the grouping.

Last Updated: 08/17/99


Saving, Retrieving, and Deleting Filters

Because filters can be complicated, you can save and retrieve commonly used filters. A saved filter can also be used as the basis for a new, slightly different filter. If you retrieve a stored filter and make changes to it (perhaps adding a new condition or changing an existing condition), you may re-save it with the same or a different name.

Choosing the More button expands the filter dialog as shown below. Choosing this button again (which then appears as Less) restores the dialog to its former appearance.

The Store button is enabled when you have at least one condition defined for your filter. When you choose this button, or choose Store Filter from the shortcut menu, a dialog will appear which allows you to enter a name for your filter. You might want to include your own name in the filter name so others can tell whose filter it is. A name like 'Ron's Filter - Jan/94' might be appropriate. You can also enter a more complete description of the filter if you wish. Type in the name and description and select the OK button. The name of the filter will appear below the Store button.

To retrieve a filter, press the Retrieve button or choose Retrieve Filter from the shortcut menu. A list of stored filters will be presented. Select the one you wish to retrieve and press the OK button to load the saved filter. The name of the filter will appear below the Store button and the filter conditions will display in the list.

To delete a saved filter, press the Remove button or choose Remove Filter from the shortcut menu. A list of saved filters is presented from which you can select the one to delete. Press OK to delete the selected filter.

Last Updated: 08/18/99


Saving or Canceling the New Report

When you are finished defining your report, click on the Finish button to save it and add it to the reports list in the Report Wizard. If you do not want to save the report, click on the Cancel button instead.

Last Updated: 08/17/99


Step 1: Main Report Information

The first step in this wizard is to enter the following information:

  • Report name: the name of the report. If you enter the name of an existing report, you will be given an error message. You cannot go to the next step until you have entered a valid report name.

  • Report group: the report group this report belongs in. You can select one of the existing groups from the combo box, or type the name of the new group. You cannot go to the next step until you have selected or entered a group name.

  • Comments: any comments entered here appear in the Report Wizard when the report is selected.

Last Updated: 08/17/99


Step 1: Selecting a Report

Until a report has been selected, many of the options in the Report Wizard are disabled. When a report has been selected, its name appears in the title bar of the report wizard (for example, 'Report Wizard - Orders' when the 'Orders' report is selected).

A report can be selected from the list of reports shown in the first step of the Report Wizard by finding it in the list and then clicking on it. Reports are shown in report 'groups', which logically arrange the reports; groups make it easier to find a particular report when lots of reports are available. To expand a group, click on the + sign in front of the group name; the + sign will change to a - sign. To collapse a group, click on the - sign in front of the group name; the - sign will change to a + sign. The space below the report list shows any comments that were entered for the selected report.

Last Updated: 08/18/99


Step 2: Data Selection

The next step, in which you select which fields should appear in the report, is shown below.

The options in this step are:

  • Table: a combo box that displays the names of the tables you can select fields from.

  • Available fields: a list containing all reportable fields from the table shown in the Table combo box that have not already been selected.

  • Selected fields for this report: a list showing the fields to be included in the report, with the table the field is from shown in parentheses. Fields in this list may be moved up and down to change the order in which the columns are printed on the report; to do this, click on the button in front of the field to move and drag the button up or down in the list.

  • Add: selecting this button will add the selected field in the Available list to the Selected list. You can also add the field by double-clicking on it in the Available list or selecting it and pressing Enter. The field will be removed from the Available list.

  • Add All: selecting this button will add all fields from the selected table to the Selected list.

  • Remove: selecting this button will remove the selected field from the Selected list. You can also remove the field by double-clicking on it in the Selected list or selecting it and pressing Enter. The field will be added to the Available list (although you may not see it if the table the field is from is not the selected table).

  • Remove All: selecting this button will remove all fields from the Selected list, and will add them to the Available list (although you will only see those fields from the selected table).

  • Field properties: displays the Field Properties dialog shown below. This dialog allows you to specify how the field should look, how grouping is performed, and whether summary totals are shown or not.

The options in this dialog are:
  • Font: the font name, size, and style to use for this field. To change any of these, click on the Font button and select the desired font name, size, and style from the Font dialog that appears.

  • Color: the color for the contents of the field. The default color is black; to change it, click on this button and select the color from the Color dialog that appears.

  • Alignment: text alignment options for field headings and field contents. By default, numeric fields are right-aligned and all others are left-aligned.

  • Show commas: if this option, which is only available for numeric fields, is checked, the data in the field will be formatted with commas.

  • Heading: displays the description used for the column heading; the default heading is the field's caption.

  • Width: the width for the field in the report; the default is the larger of the field width and the heading. You cannot make the width smaller than the heading. This value can be reduced to fit more columns on the page; the field will automatically wrap within the reduced width. Note: if the report is too wide to fit in portrait orientation, it will automatically be switched to landscape.

  • Suppress repeating values: if this option is checked and several records in a row have the same value in this field, only the first occurrence will be printed; the field in subsequent records will appear blank.

  • Group on this field: check this option to add this field to the grouping list shown in this dialog, or uncheck it to remove the field. If you group on a field, the report is automatically sorted on that field. Fields in this list may be moved up and down to change the order in which the data is grouped; to do this, click on the button in front of the desired field and drag the button up or down in the list.

  • Show count in group footer: if this option, which is disabled if you have not grouped on this field, is checked, a count of the number of records in the group will appear at the end of the group in the report.

  • Summary: this option, which is only available for numeric fields, allows you to specify whether a total ('sum') or average should appear for this field at the end of groups and at the end of the report. Choose the desired function from the combo box, or 'None' for no total or average. Note: if you choose Sum, the field width is not automatically adjusted. As a result, you may find that the totals for a field are wider than can be displayed (the totals will appear as a set of asterisks: *******). You should increase the width of the field to account for totals.

Last Updated: 08/17/99


Step 2: Selecting Which Records to Print

When you print a report, you often do not want every available record displayed or printed. Selecting a subset of records to work with is called filtering. The second step of the Report Wizard allows you to specify which records should be printed in the report. Note: this step may not be available for some reports.

This step has the following options:

  • Use same filter next time report is run: if this option is checked, any filter specified will be used as the default filter the next time the report is selected. Of course, the filter can be changed the next time, but this option is handy if you usually use the same filter each time the report is run.

  • Filter: click on this button to display the Filter dialog.
The space below the Filter button shows the filter that has been specified for this report.

Last Updated: 08/18/99


Step 3: Choosing a Sort Order

The third step in the Report Wizard lets you choose the order in which records will appear on the report. For example, you may wish to have a report sorted by city and within city, chronologically by a certain date field. Note: this step may not be available for some reports.

The following options are available in this step:

  • Use same sort next time report is run: if this option is checked, any sort order specified will be used as the default sort order the next time the report is selected. Of course, the sort order can be changed the next time, but this option is handy if you usually use the same sort order each time the report is run.

  • Initial sort order: if this report is grouped on one or more fields, these fields will be listed as an initial sort order; any fields you sort on in this step are used after the initial sort order. You cannot change the initial sort order without editing the report and changing the grouping.

  • Available sort fields: a list containing the fields that appear in this report that have not already been selected for sorting.

  • Selected sort fields: a list showing the fields the report data will be sorted on. Fields in this list may be moved up and down to change the order in which the data is sorted; to do this, click on the button in front of the desired field and drag the button up or down in the list.

  • Add: selecting this button will add the selected field in the Available list to the Selected list. You can also add the field by double-clicking on it in the Available list or selecting it and pressing Enter. The field will be removed from the Available list.

  • Remove: selecting this button will remove the selected field from the Selected list. You can also remove the field by double-clicking on it in the Selected list or selecting it and pressing Enter. The field will be added to the Available list.

  • Ascending: selecting this button will sort the selected field from lowest to highest.

  • Descending: selecting this button will sort the selected field from highest to lowest.

Last Updated: 08/18/99


Step 3: Standard Filter Options

Step 3 allows you to specify a filter used by default for this report. You can skip this step if there is no filter that will normally be used.

To specify a filter, click on the Filter button, and enter the filter conditions using the same procedures described in the Selecting Which Records to Print section.

Last Updated: 08/18/99


Step 4: Report Options

The fourth step in the Report Wizard lets you specify some report options. Note: this step may not be available for some reports.

The options in this step are:

  • Use same options next time report is run: if this option is checked, any options specified in this step except Report Date will be used as the defaults the next time the report is selected.

  • Header: text that will appear at the top of every page.

  • Footer: text that will appear at the bottom of every page.

  • Left margin: how many characters to indent the entire report; this is handy if, for example, you want to print a report and punch holes in it so it can be inserted into a binder.

  • Report date: the date to put on the report. The default is the current date, but entering a different date might be useful, for example, to backdate reports to the end of the previous month.

Last Updated: 08/18/99


Step 4: Standard Sort Options

You can specify how the data in the report should be sorted in Step 4.

You can specify a sort order using the same procedures described in the Choosing a Sort Order section.

Last Updated: 08/18/99


Step 5: Output Options

There are several possible output destinations for a report: printer, text file, spreadsheet, etc. You can also preview a report on the screen.

The options in this step are:

  • Output to: this option determines what happens when you click on the Print button; the default output destination is Printer. To output to a file, select File. Note: when File is selected, the Print button appears as Process instead of Print. Preview always sends the report to the screen, regardless of how the Output option is set.

  • Print Setup: this button, which is disabled if you are outputting to a file, allows you to select which printer the report should be sent to. Clicking on this button brings up a standard Windows Print Setup dialog.

  • File: this button, which is disabled if you are outputting to a printer, allows you to select which type of file to output, as well as the file name and location. Clicking on this button brings up a standard Windows File dialog.

    You can select the type of file to output to from the Save as Type combo box. The choices are:

    • Text: this outputs the fields that appear in the report to a text file. The text file is formatted as fixed-length fields, meaning that each field takes up a fixed amount of space and there are no separators between fields. Records are terminated with a carriage return. The default extension for a text file is TXT.

    • Delimited: this outputs the fields that appear in the report to a delimited (also known as comma-separated values) text file. Each field in the file only takes up as much space as needed, and a comma is used to separate fields. Records are terminated with a carriage return. The default extension for a delimited file is CSV.

    • Excel: this outputs the fields that appear in the report to an Excel 5.0 or later spreadsheet. The default extension for an Excel file is XLS. Note: memo fields are not output to Excel files.

    • Table: this outputs the fields that appear in the report to a DBF file. The default extension for a table is DBF.

    After selecting the file type, enter a name for the file. You can also specify a location for this file using standard File dialog operations. Once you have specified a name and location, click on the Save button to accept the file type, name, and location or Cancel to cancel the changes. If you choose Save, the name and location of the file will appear beside the File button in the Report Wizard.

Last Updated: 08/18/99


Step 5: Standard Report Options

Step 5 allows you to specify certain options for the report.

The options in this step are:

  • Header: text that will appear at the top of every page. If you do not enter a header, the name of the report will appear at the top of every page.

  • Footer: text that will appear at the bottom of every page.

  • Left margin: how many characters to indent the entire report; this is handy if, for example, you want to print a report and punch holes in it so it can be inserted into a binder.

  • Allow report to be filtered: check this option if someone can specify a filter for the report. This should normally be checked, but if you specified a filter in step 3, you may wish to uncheck this.

  • Allow report to be sorted: check this option if someone can specify a sort order for the report. If you grouped on any field, or specified a sort order in step 4, you may want to uncheck this option.

  • Allow report to be modified or deleted: check this option if anyone should be able to edit or delete this report; if this item is not checked, only you will be able to do so.

  • Allow report to be accessed by other users: check this option if anyone should be able to run this report; if this item is not checked, the report will not appear in the reports list for other people.

Last Updated: 08/18/99


The Filter Dialog

The filter dialog is displayed below. This dialog allows you to see the conditions that make up the filter, add new conditions, and edit or remove conditions. You may create a filter for a one-time situation or you may create and save it for future use.

The filter dialog has buttons that provide functions such as adding conditions, deleting conditions, etc. You can also choose these functions by right-clicking on the dialog and choosing the appropriate function from the menu (called a shortcut menu) that appears.

Last Updated: 08/17/99


Using the Report Wizard

The Report Wizard appears as follows:

In this wizard, you can:

  • Select which report to run (or add or maintain reports) in the first step.

  • Choose which records to print in the report with the second step.

  • Determine how the report should be sorted with the third step.

  • Enter a report header and footer and other options in the fourth step.

  • Select the desired output destination (printer, file, or spreadsheet) in the fifth step.

  • Print the report or preview it to the screen at any time.
Depending on the report you select, not all of these steps may be available. Also, once you select a report, you can print or preview it immediately without going through the other steps.

Last Updated: 08/18/99